
class Scene(object):
    __slots__ = (
        "name",
        "scene",
    )

    def __repr__(self):
        return "Scene[\"%s\"]\n" % (self.name)

    def __init__(self, scene):
        self.scene = scene
        self.name = scene.name

import ossl.util as util

def register():
    print("registering: OSSL Type Scene")
    #util.imports("ossl._types.Bone", "generate_armature")
    print("registered: OSSL Type Scene")

def unregister():
    print("unregistering: OSSL Type Scene")
    #util.release("ossl._types.Bone", "generate_armature")
    print("unregistered: OSSL Type Scene")

if __name__ == "__main__":
    util.reset_addon()
